zpool_influxdb(8)

NAME
zpool_influxdb - collect zpool statistics in influxdb line protocol format

SYNOPSIS

zpool_influxdb [--execd] [--no-histogram] [--sum-histogram-buckets]
[--tags key=value] [pool]
zpool_influxdb --help

DESCRIPTION
The zpool_influxdb command produces influxdb line protocol compatible metrics from zpools. Like the zpool command, zpool_influxdb reads the current pool status and statistics. Unlike the zpool command which is intended for humans, zpool_influxdb formats the output in influxdb line protocol. The expected use is as a plugin to a metrics collector or aggregator, such as telegraf. By default, zpool_influxdb prints pool metrics and status in the influxdb line protocol format. All pools are printed, similar to the zpool status command. Providing a pool name restricts the output to the named pool. Like the zpool command, zpool_influxdb uses internal data structures that can change over time as new ZFS releases are made. Therefore, the zpool_influxdb command must be compiled against the ZFS source. It is expected that later releases of ZFS includes compatible zpool_influxdb and zpool commands.

OPTIONS

--execd, -e
    Run in daemon mode compatible with telegraf`s execd plugin. In this mode, the pools are sampled every time there is a [return] on stdin. Once a sample printed, zpool_influxdb waits for another [return]. When run on a terminal, use [ctrl+C] to exit.

--no-histogram, -n
    Do not print latency and I/O size histograms. This can reduce the total amount of data, but one should consider the value brought by the insights that latency and I/O size distributions provide. The resulting values are suitable for graphing with grafana's heatmap plugin.

--sum-histogram-buckets, -s
    Accumulates bucket values. By default, the values are not accumulated and the raw data appears as shown by zpool iostat. This works well for grafana's heatmap plugin. Summing the buckets produces output similar to prometheus histograms.

--tags, -t
    Adds specified tags to the tag set. Tags are key=value pairs and multiple tags are separated by commas. No sanity checking is performed. See the InfluxDB Line Protocol format documentation for details on escaping special characters used in tags.

--help, -h
    Print a usage summary.

SEE ALSO

zpool-status(8) zpool-iostat(8)

Influxdb https://github.com/influxdata/influxdb

Telegraf https://github.com/influxdata/telegraf

Grafana https://grafana.com

Prometheus https://prometheus.io